<?php

namespace StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for JP_BreakdownPrice StructType
 * @subpackage Structs
 */
class JP_BreakdownPrice extends AbstractStructBase
{
    /**
     * The Concepts
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_ConceptBreakdown
     */
    public $Concepts;
    /**
     * The Taxes
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CommonPriceBreakdown
     */
    public $Taxes;
    /**
     * The Commissions
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CommonPriceBreakdown1
     */
    public $Commissions;
    /**
     * The Discounts
     * Meta informations extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \ArrayType\ArrayOfJP_CommonPriceBreakdown2
     */
    public $Discounts;
    /**
     * Constructor method for JP_BreakdownPrice
     * @uses JP_BreakdownPrice::setConcepts()
     * @uses JP_BreakdownPrice::setTaxes()
     * @uses JP_BreakdownPrice::setCommissions()
     * @uses JP_BreakdownPrice::setDiscounts()
     * @param \ArrayType\ArrayOfJP_ConceptBreakdown $concepts
     * @param \ArrayType\ArrayOfJP_CommonPriceBreakdown $taxes
     * @param \ArrayType\ArrayOfJP_CommonPriceBreakdown1 $commissions
     * @param \ArrayType\ArrayOfJP_CommonPriceBreakdown2 $discounts
     */
    public function __construct(\ArrayType\ArrayOfJP_ConceptBreakdown $concepts = null, \ArrayType\ArrayOfJP_CommonPriceBreakdown $taxes = null, \ArrayType\ArrayOfJP_CommonPriceBreakdown1 $commissions = null, \ArrayType\ArrayOfJP_CommonPriceBreakdown2 $discounts = null)
    {
        $this
            ->setConcepts($concepts)
            ->setTaxes($taxes)
            ->setCommissions($commissions)
            ->setDiscounts($discounts);
    }
    /**
     * Get Concepts value
     * @return \ArrayType\ArrayOfJP_ConceptBreakdown|null
     */
    public function getConcepts()
    {
        return $this->Concepts;
    }
    /**
     * Set Concepts value
     * @param \ArrayType\ArrayOfJP_ConceptBreakdown $concepts
     * @return \StructType\JP_BreakdownPrice
     */
    public function setConcepts(\ArrayType\ArrayOfJP_ConceptBreakdown $concepts = null)
    {
        $this->Concepts = $concepts;
        return $this;
    }
    /**
     * Get Taxes value
     * @return \ArrayType\ArrayOfJP_CommonPriceBreakdown|null
     */
    public function getTaxes()
    {
        return $this->Taxes;
    }
    /**
     * Set Taxes value
     * @param \ArrayType\ArrayOfJP_CommonPriceBreakdown $taxes
     * @return \StructType\JP_BreakdownPrice
     */
    public function setTaxes(\ArrayType\ArrayOfJP_CommonPriceBreakdown $taxes = null)
    {
        $this->Taxes = $taxes;
        return $this;
    }
    /**
     * Get Commissions value
     * @return \ArrayType\ArrayOfJP_CommonPriceBreakdown1|null
     */
    public function getCommissions()
    {
        return $this->Commissions;
    }
    /**
     * Set Commissions value
     * @param \ArrayType\ArrayOfJP_CommonPriceBreakdown1 $commissions
     * @return \StructType\JP_BreakdownPrice
     */
    public function setCommissions(\ArrayType\ArrayOfJP_CommonPriceBreakdown1 $commissions = null)
    {
        $this->Commissions = $commissions;
        return $this;
    }
    /**
     * Get Discounts value
     * @return \ArrayType\ArrayOfJP_CommonPriceBreakdown2|null
     */
    public function getDiscounts()
    {
        return $this->Discounts;
    }
    /**
     * Set Discounts value
     * @param \ArrayType\ArrayOfJP_CommonPriceBreakdown2 $discounts
     * @return \StructType\JP_BreakdownPrice
     */
    public function setDiscounts(\ArrayType\ArrayOfJP_CommonPriceBreakdown2 $discounts = null)
    {
        $this->Discounts = $discounts;
        return $this;
    }
    /**
     * Method called when an object has been exported with var_export() functions
     * It allows to return an object instantiated with the values
     * @see AbstractStructBase::__set_state()
     * @uses AbstractStructBase::__set_state()
     * @param array $array the exported values
     * @return \StructType\JP_BreakdownPrice
     */
    public static function __set_state(array $array)
    {
        return parent::__set_state($array);
    }
    /**
     * Method returning the class name
     * @return string __CLASS__
     */
    public function __toString()
    {
        return __CLASS__;
    }
}
